﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;
using System.ComponentModel;

namespace HLWebOKBAdminPlugin.Models {

    [MetadataType(typeof(AlgorithmClassMetaData))]
    public partial class AlgorithmClass {

        [Bind(Exclude = "Id")]
        public class AlgorithmClassMetaData {
            [ScaffoldColumn(false)]
            public object Id { get; set; }

            [DisplayName("Description")]
            public object Description { get; set; }

            [Required(ErrorMessage = "An AlgorithmClass Name is required")]
            public object Name { get; set; }

        }

    }
}